<?php
// Copyright 2006 Marc LAFON
// compatible SPIP 1.9.1 et 1.9.2
// Version 2.1

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

//Filtre de gestion des icones de Simulacres...
function simulacresText($name,$file) {
 return $name . '&nbsp;<img src="plugins/simulacres/icones/' . $file . '.png" alt="' . $name . '" />';
}
function simulacresText2($name,$file) {
 return '<img src="plugins/simulacres/icones/' . $file . '.png" alt="' . $name . '" />';
}
function simulacres_typo($texte) {
	static $trans;
	if (!$trans) {
		$trans = array();
		$trans['[[cor]]'] = simulacresText('Corps','corps');
		$trans['[[ins]]'] = simulacresText('Instinct','instinct');
		$trans['[[coe]]'] = simulacresText('Coeur','coeur');
		$trans['[[esp]]'] = simulacresText('Esprit','esprit');
		$trans['[[corr]]'] = simulacresText('Corps','corpsrev');
		$trans['[[insr]]'] = simulacresText('Instinct','instinctrev');
		$trans['[[coer]]'] = simulacresText('Coeur','coeurrev');
		$trans['[[espr]]'] = simulacresText('Esprit','espritrev');
		$trans['[[act]]'] = simulacresText('Action','action');
		$trans['[[per]]'] = simulacresText('Perception','perception');
		$trans['[[des]]'] = simulacresText('D&eacute;sir','desir');
		$trans['[[res]]'] = simulacresText('R&eacute;sistance','resistance');
		$trans['[[min]]'] = simulacresText('Min&eacute;ral','mineral');
		$trans['[[veg]]'] = simulacresText('V&eacute;g&eacute;tal','vegetal');
		$trans['[[ani]]'] = simulacresText('Animal','animal');
		$trans['[[hum]]'] = simulacresText('Humain','humain');
		$trans['[[mec]]'] = simulacresText('M&eacute;canique','mecanique');
		$trans['[[nea]]'] = simulacresText('N&eacute;ant','neant');
		$trans['[[air]]'] = simulacresText('air','air');
		$trans['[[feu]]'] = simulacresText('Feu','feu');
		$trans['[[eau]]'] = simulacresText('Eau','eau');
		$trans['[[int]]'] = simulacresText('Interne','interne');
		$trans['[[sym]]'] = simulacresText('Symbiote','symbiote');
		$trans['[[eth]]'] = simulacresText('&Eacute;ther','ether');
		$trans['[[pui]]'] = simulacresText('Puissance','puissance');
		$trans['[[pre]]'] = simulacresText('Pr&eacute;cision','precision');
		$trans['[[rap]]'] = simulacresText('Rapidit&eacute;','rapidite');
		$trans['[[psi]]'] = simulacresText('Psionique','psionique');
		$trans['[[de1]]'] = simulacresText2('+1','1');
		$trans['[[de2]]'] = simulacresText2('+2','2');
		$trans['[[de3]]'] = simulacresText2('+3','3');
		$trans['[[de4]]'] = simulacresText2('+4','4');
		$trans['[[de5]]'] = simulacresText2('+5','5');
		$trans['[[de6]]'] = simulacresText2('+6','6');
		$trans['[[eku]]'] = simulacresText2('Eku','eku');
		$trans['[[de1i]]'] = simulacresText2('-1','1i');
		$trans['[[de2i]]'] = simulacresText2('-2','2i');
		$trans['[[de3i]]'] = simulacresText2('-3','3i');
		$trans['[[de4i]]'] = simulacresText2('-4','4i');
		$trans['[[de5i]]'] = simulacresText2('-5','5i');
		$trans['[[de6i]]'] = simulacresText2('-6','6i');
		$trans['[[um]]'] = simulacresText2('Uni&eacute;t&eacute; Monn&eacute;taire','um');
		$trans['[[pa]]'] = simulacresText2('Point Aventure','pa');
		$trans['[[cor2]]'] = simulacresText2('Corps','corps2');
		$trans['[[ins2]]'] = simulacresText2('Instinct','instinct2');
		$trans['[[coe2]]'] = simulacresText2('Coeur','coeur2');
		$trans['[[esp2]]'] = simulacresText2('Esprit','esprit2');
		$trans['[[cor2r]]'] = simulacresText2('Corps','corps2rev');
		$trans['[[ins2r]]'] = simulacresText2('Instinct','instinct2rev');
		$trans['[[coe2r]]'] = simulacresText2('Coeur','coeur2rev');
		$trans['[[esp2r]]'] = simulacresText2('Esprit','esprit2rev');
		$trans['[[act2]]'] = simulacresText2('Action','action2');
		$trans['[[per2]]'] = simulacresText2('Perception','perception2');
		$trans['[[des2]]'] = simulacresText2('D&eacute;sir','desir2');
		$trans['[[res2]]'] = simulacresText2('R&eacute;sistance','resistance2');
		$trans['[[min2]]'] = simulacresText2('Min&eacute;ral','mineral2');
		$trans['[[veg2]]'] = simulacresText2('V&eacute;g&eacute;tal','vegetal2');
		$trans['[[ani2]]'] = simulacresText2('Animal','animal2');
		$trans['[[hum2]]'] = simulacresText2('Humain','humain2');
		$trans['[[mec2]]'] = simulacresText2('M&eacute;canique','mecanique2');
		$trans['[[nea2]]'] = simulacresText2('N&eacute;ant','neant2');
		$trans['[[air2]]'] = simulacresText2('Air','air2');
		$trans['[[feu2]]'] = simulacresText2('Feu','feu2');
		$trans['[[eau2]]'] = simulacresText2('Eau','eau2');
		$trans['[[int2]]'] = simulacresText2('Interne','interne2');
		$trans['[[sym2]]'] = simulacresText2('Symbiote','symbiote2');
		$trans['[[eth2]]'] = simulacresText2('&Eacute;ther','ether2');
		$trans['[[pui2]]'] = simulacresText2('Puissance','puissance2');
		$trans['[[pre2]]'] = simulacresText2('Pr&eacute;cision','precision2');
		$trans['[[rap2]]'] = simulacresText2('Rapidit&eacute;','rapidite2');
		$trans['[[psi2]]'] = simulacresText2('Psionique','psionique2');
	}
	return strtr($texte, $trans);
}


function simulacres_nettoyer_typo($texte) {
	static $transa;
	if (!$transa) {
		$transa = array();
		$transa['[[cor]]'] = 'Corps';
		$transa['[[ins]]'] = 'Instinct';
		$transa['[[coe]]'] = 'Coeur';
		$transa['[[esp]]'] = 'Esprit';
		$transa['[[corr]]'] = 'Corps';
		$transa['[[insr]]'] = 'Instinct';
		$transa['[[coer]]'] = 'Coeur';
		$transa['[[espr]]'] = 'Esprit';
		$transa['[[act]]'] = 'Action';
		$transa['[[per]]'] = 'Perception';
		$transa['[[des]]'] = 'D&eacute;sir';
		$transa['[[res]]'] = 'R&eacute;sistance';
		$transa['[[min]]'] = 'Min&eacute;ral';
		$transa['[[veg]]'] = 'V&eacute;g&eacute;tal';
		$transa['[[ani]]'] = 'Animal';
		$transa['[[hum]]'] = 'Humain';
		$transa['[[mec]]'] = 'M&eacute;canique';
		$transa['[[nea]]'] = 'N&eacute;ant';
		$transa['[[air]]'] = 'Air';
		$transa['[[feu]]'] = 'Feu';
		$transa['[[eau]]'] = 'Eau';
		$transa['[[int]]'] = 'Interne';
		$transa['[[sym]]'] = 'Symbiote';
		$transa['[[eth]]'] = '&Eacute;ther';
		$transa['[[pui]]'] = 'Puissance';
		$transa['[[pre]]'] = 'Pr&eacute;cision';
		$transa['[[rap]]'] = 'Rapidit&eacute;';
		$transa['[[psi]]'] = 'Psionique';
		$transa['[[de1]]'] = '+1';
		$transa['[[de2]]'] = '+2';
		$transa['[[de3]]'] = '+3';
		$transa['[[de4]]'] = '+4';
		$transa['[[de5]]'] = '+5';
		$transa['[[de6]]'] = '+6';
		$transa['[[eku]]'] = 'Eku';
		$transa['[[de1i]]'] = '-1';
		$transa['[[de2i]]'] = '-2';
		$transa['[[de3i]]'] = '-3';
		$transa['[[de4i]]'] = '-4';
		$transa['[[de5i]]'] = '-5';
		$transa['[[de6i]]'] = '-6';
		$transa['[[um]]'] = 'UM';
		$transa['[[pa]]'] = 'PA';
		$transa['[[cor2]]'] = 'Corps';
		$transa['[[ins2]]'] = 'Instinct';
		$transa['[[coe2]]'] = 'Coeur';
		$transa['[[esp2]]'] = 'Esprit';
		$transa['[[cor2r]]'] = 'Corps';
		$transa['[[ins2r]]'] = 'Instinct';
		$transa['[[coe2r]]'] = 'Coeur';
		$transa['[[esp2r]]'] = 'Esprit';
		$transa['[[act2]]'] = 'Action';
		$transa['[[per2]]'] = 'Perception';
		$transa['[[des2]]'] = 'D&eacute;sir';
		$transa['[[res2]]'] = 'R&eacute;sistance';
		$transa['[[min2]]'] = 'Min&eacute;ral';
		$transa['[[veg2]]'] = 'V&eacute;g&eacute;tal';
		$transa['[[ani2]]'] = 'Animal';
		$transa['[[hum2]]'] = 'Humain';
		$transa['[[mec2]]'] = 'M&eacute;canique';
		$transa['[[nea2]]'] = 'N&eacute;ant';
		$transa['[[air2]]'] = 'Air';
		$transa['[[feu2]]'] = 'Feu';
		$transa['[[eau2]]'] = 'Eau';
		$transa['[[int2]]'] = 'Interne';
		$transa['[[sym2]]'] = 'Symbiote';
		$transa['[[eth2]]'] = '&Eacute;ther';
		$transa['[[pui2]]'] = 'Puissance';
		$transa['[[pre2]]'] = 'Pr&eacute;cision';
		$transa['[[rap2]]'] = 'Rapidit&eacute;';
		$transa['[[psi2]]'] = 'Psionique';
	}
	return strtr($texte, $transa);
}

function simulacres_plusplus ($texte) {
	// Definition des differents intertitres possibles, si pas deja definies
	tester_variable('debut_intertitre_2', '<h4 class="spip">');
	tester_variable('fin_intertitre_2', '</h4>');
	global $debut_intertitre_2, $fin_intertitre_2;
	static $find_plusplus;
	if (!$find_plusplus) {
		$find_plusplus = array();
		$find_plusplus[]="/(^|[^{])\{2\{/S";
		$find_plusplus[]="/\}2\}($|[^}])/S";
	}
	static $repl_plusplus;
	if (!$repl_plusplus) {
		$repl_plusplus = array();
		$repl_plusplus[]="\$1\n\n$debut_intertitre_2";
		$repl_plusplus[]="$fin_intertitre_2\n\n\$1";
	}
	return preg_replace($find_plusplus, $repl_plusplus, $texte);
}

function simulacres_nettoyer_plusplus ($texte) {
	$texte = preg_replace(',{[1-5]{,','',$texte);
	return preg_replace(',}[1-5]},','',$texte);
}

?>
